Subject: Registration request for a URN according to RFC 3406

From: Jörg Walther <[email-masked]>
Date: Wed, 10 Sep 2014 11:40:32 +0000

Ladies and gentleman,

on behalf of the Joint Automotive Industry Forum (JAIF) I would like to register the urn:jaif.

Please find attached the text document with the proposed RFC draft.

If there is anything in addition or alternatively I should do to initiate the formal process, I'd appreciate your helpful hints.

Yours sincerely

Jörg Walther

[X]

__________________________________________
The information in this e-mail is intended only for the named recipient and may be privileged or confidential. If you are not the intended recipient please notify us immediately and do not copy, distribute or take action based on this e-mail. If this e-mail is marked 'personal'  Odette is not liable in any way for its content. Registered Office: 71 Great Peter Street, London SW1P 2BN
Registered No. 4039150 England. VAT No. GB-774 1590 13

---

From: [email-masked] (Dale R. Worley)
Date: Wed, 10 Sep 2014 11:32:18 -0400

> From: Jörg Walther <[email-masked]>
> 

The best practice is to submit the draft (at
https://datatracker.ietf.org/submit/) before requesting review.  That
ensures that everyone who reviews the document sees exactly the same
document, and that there is a record of what the document was, which
can be referred to by people who see these messages in the mailing
list archive in the future.  Submitting a draft is not considered a
"formal" or "heavy weight" activity; there is no penalty for
submitting a draft that has not yet been perfected.

It is customary to name a draft using this format:

    draft-[your surname]-[optionally, the destination working group name]-[further names]-[NN].[extension]

In this case, there is no working group name.  So a conventional name
for your draft could be "draft-walther-jaif-urn-00.txt".  A
participant who has no specific knowledge of this draft can look at
that name and deduce that it was probably submitted by a person named
"Walther", and it probably regards URNs for "JAIF".  (BTW, I notice
that neither "JAIF", "Joint Automotive Industrial Forum", nor "ODETTE"
has a page in the English-language Wikipedia, so our hypothetical
reader would have some trouble determining what "JAIF" was without
reading into the draft.)

> If there is anything in addition or alternatively I should do to
> initiate the formal process, I'd appreciate your helpful hints.

   2.1 Declaration of Syntactic Structure

   The Namespace Specific String (NSS) of all URNs assigned by the JAIF
   will have the following hierarchical structure:

   urn:jaif:{category}:{string}

   where the "category" is a US-ASCII string that conforms to URN syntax
   requirements (RFC 2141), and "{string}" is a string that conforms to
   URN syntax requirements (RFC 2141).

This needs to be revised.

Firstly, the description "conforms to the URN syntax requirements" is
inexact, because RFC 2141 contains the definitions of a number of
syntactic constructs -- which one is intended?  Indeed, the "default"
reading is that "category" conforms to the syntax definition of
*URNs*, which is definitely not what you intend.

Secondly, the syntax you've specified is ambiguous, because you don't
specify that "category" must not contain ":".  Thus, 

   urn:jaif:A:B:C

may have a "category" of "A:B" and a "string" of "C", or a "category"
of "A" and a "string" of "B:C".

It would be convenient if you could specify that "category" conforms
to some particular nonterminal in RFC 2141, and the same for "string",
but there isn't an appropriate nonterminal for "category".  Worse,
there isn't even an appropriate nonterminal for the characters that
"category" is assembled from.  One could say

   2.1 Declaration of Syntactic Structure

   The Namespace Specific String (NSS) of all URNs assigned by the JAIF
   will have the following hierarchical structure:

   urn:jaif:<category>:<string>

   <category> ::= 1*<URN chars>

   <strong>   ::= 1*<URN chars>

   where the "category" MUST not contain ":".

That generates the set of URNs you intend, and ensures unique parsing.

Dale

---

From: Jörg Walther <[email-masked]>
Date: Thu, 11 Sep 2014 06:50:36 +0000

Dear Dale,

thanks a lot for your helpful reply.

I will discuss your reply with our experts and improve my request ( I uploaded the I-D yesterday to that web site already).

Thankls again and kind regards

Jörg
________________________________________
From: Dale R. Worley [[email-masked]]
Sent: 10 September 2014 16:32
To: Jörg Walther
Cc: [email-masked]; Rob Exell
Subject: Re: Registration request for a URN according to RFC 3406

   urn:jaif:A:B:C

Dale

---

From: RFC Editor <[email-masked]>
Date: Thu, 11 Sep 2014 12:15:51 -0700

Greetings,

Our understanding is that this request does not require any RFC Editor
action at this time.  Per RFC 3406, it appears as though the email has
been directed to the correct address <[email-masked]>.  Please
let us know if we've misunderstood.  

Thank you,
RFC Editor/sg

On Wed, Sep 10, 2014 at 11:40:32AM +0000, J?rg Walther wrote:
> J?rg Walther

>  
> 
> 
> 
> Internet Engineering Tasks Force (IETF)                       J. Walther
> Request for Comments: xxxx                          Odette International
> Category: Informational                               September 10, 2014
> 
>             A Uniform Resource Name (URN) Namespace for the 
>                     Joint Automotive Industry Forum
>                       <draft-rfc-urn-jaif-00.txt>
> 
> Abstract
> 
>    This document describes a Uniform Resource Name (URN) namespace used
>    by the Joint Automotive Industry Forum (JAIF) for naming or
>    identifying information entities in the automotive industry,
>    including identifiers for parts, returnable transport items, shipping
>    units and elements of XML schemas or EDI guidelines and other
>    documents.
> 
> Status of this Memo
> 
>    This document is not an Internet Standards Track specification; it is
>    published for informational purposes.
> 
>    This document is a product of the Internet Engineering Task Force
>    (IETF). It represents the consensus of the IETF community. It has
>    received public review and has been approved for publication by the
>    Internet Engineering Steering Group (IESG).  Not all documents
>    approved by the IESG are a candidate for any level of Internet
>    Standard; see Section 2 of RFC 5741.
> 
>    Information about the current status of this document, any errata,
>    and how to provide feedback on it may be obtained at http://www.rfc-
>    editor.org/info/rfc6338.
> 
> Copyright Notice
> 
>    Copyright (c) 2014 IETF Trust and the persons identified as the
>    document authors.  All rights reserved.   
> 
>    This document is subject to BCP 78 and the IETF Trust's Legal
>    Provisions Relating to IETF Documents
>    (http://trustee.ietf.org/license-info) in effect on the date of
>    publication of this document.  Please review these documents
>    carefully, as they describe your rights and restrictions with respect
>    to this document. Code Components extracted from this document must
>    include Simplified BSD License text as described in Section 4.e of
>    the Trust Legal Provisions and are provided without warranty as
>    described in the Simplified BSD License.
> 
>  
> 
> 
> Walther, Joerg               Informational                      [Page 1]
> 
> RFC xxxx              A URN Namespace for the JAIF    September 10, 2014
> 
> 
> Table of Contents
> 
>    1. Introduction ....................................................3
>    2. URN Namespace Definition Template ...............................3
>       2.1 Declaration of Syntactic Structure ..........................3
>       2.2 Relevant Ancillary Documentation ............................4
>       2.3 Identifier Uniqueness Considerations ........................4
>       2.4 Identifier Persistence Considerations .......................4
>       2.5 Process of Identifier Assignment ............................4
>       2.6 Process of  Identifier Resolution ...........................4
>       2.7 Rules for Lexical Equivalence ...............................4
>       2.8 Conformance with URN Syntax .................................5
>       2.9 Validation Mechanism ........................................5
>       2.10 Scope ......................................................5
>    3. Examples ........................................................5
>    4. Namespace Considerations ........................................5
>    5. Community Considerations ........................................5
>    6. Security Considerations .........................................5
>    7. IANA Considerations .............................................6
>    8. References ......................................................6
>    8.1. Normative References ..........................................6
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
>  
> 
> 
> Walther, Joerg               Informational                      [Page 2]
> 
> RFC xxxx              A URN Namespace for the JAIF    September 10, 2014
> 
> 
> 1. Introduction
> 
>    The Joint Automotive Industry Forum (JAIF) consists of the automotive
>    industry associations AIAG (USA), JAMA and JAPIA (Japan) and Odette
>    International (Europe). It provides a collaboration platform for the
>    development of global guidelines for logistics processes, data
>    exchange and best practices in the automotive supply chain.
> 
>    The JAIF wishes to use a unique URN to qualify information attributes
>    used in various data exchange scenarios, specifically in the exchange
>    of event information captured by auto-ID technologies such as
>    barcodes or Radio Frequency Identifiers (RFID).
> 
> 
> 2. URN Namespace Specification Template
> 
>    Namespace ID:	"jaif"
> 
>    Registration information:
>       Registration version number: 	1
>       Registration Date: 2014-09-10
> 
>    Declared registrant of the namespace:
>       Organisation: Odette International
>       Address:      
>                     71 Great Peter Street
>                     London
>                     SW1P 2BN
>                     United Kingdom
> 
>       Email:	  [email-masked]
> 
>    Designated contacts:
>       Contact: Joerg Walther
>       Affiliation: Odette International Ltd.
>       71 Great Peter Street
>       London
>       SW1P 2BN
>       United Kingdom
> 
>       Email: [email-masked]
>       Phone: +44 207 344 9227
> 
> Walther, Joerg               Informational                      [Page 3]
> 
> RFC xxxx              A URN Namespace for the JAIF    September 10, 2014
> 
> 
> 2.2 Relevant Ancillary Documentation
> 
>    The JAIF provides information on registration for each URN. The
>    specifications and registration information are published at
>    http://www.odette.org.
> 
> 2.3 Identifier Uniqueness Considerations
> 
>    The JAIF will manage resources using the "jaif" NID and will be the
>    authority for managing the "jaif-urn" strings.  In the associated
>    procedures, JAIF will ensure the uniqueness of the strings themselves
>    or may permit secondary responsibility for management of well-defined
>    sub-trees.
> 
> 2.4 Identifier Persistence Considerations
> 
>    The JAIF is committed to maintaining the accessibility and
>    persistence of all resources that are officially assigned URNs by the
>    member organizations. JAIF will provide clear documentation of the
>    registered uses of the "jaif" NID.  This will be structured such that
>    each "jaif-urn", if needed, will have a separate description and
>    registration table. The registration tables and information will be
>    published and maintained by JAIF in appropriate documents and
>    published on its members' web sites.
> 
> 2.5 Process of Identifier Assignment
> 
>    All the assignments of identifiers are fully controlled and managed
>    by the JAIF. 
> 
> 2.6 Process of Identifier Resolution
> 
>    The namespace is not listed with an RDS; this is not relevant.
> 
> 2.7 Rules for Lexical Equivalence 
> 
>    The "{category}" is case-insensitive.  Thus, the portion of the
>    URN:urn:jaif:{category}: is case-insensitive for matches. The
>    remainder of the identifier shall be considered case-sensitive.
>    Consequently, URNs are only lexically equivalent if they are also
>    lexically identical in the remaining {string} field. Conformance with
>    URN Syntax: No special considerations.
>  
> 
> 
> Walther, Joerg               Informational                      [Page 4]
> 
> RFC xxxx              A URN Namespace for the JAIF    September 10, 2014
> 
> 
> 2.8 Conformance with URN Syntax
> 
>    No special considerations.
> 
> 2.9 Validation Mechanism
> 
>    None specified. URN assignment and validation will be handled by
>    procedures supported and maintained by the JAIF.
> 
> 2.10 Scope
> 
>    Global.
> 
> 3. Examples
> 
>    The following examples are not guaranteed to be real. They are
>    provided for pedagogical reasons only.
>    urn:jaif:rfid:eventID
>    urn:jaif:edi:codelist:JAI016
>    urn:jaif:rti:type:2467
> 
> 4. Namespace Considerations
> 
>    The JAIF is developing a variety of B2B recommendations.  Some of
>    these require information entities to be fully qualified. For proper
>    operation, descriptions of the exchanged information must exist and
>    be available in a unique, reliable, and persistent manner.
> 
>    As JAIF recommendations and specifications cover many technical
>    areas, the possibility of using various other namespace repositories
>    has been deemed impractical.  Each object or description, as defined
>    in the JAIF, could possibly be related to multiple different other
>    namespaces. The JAIF wishes to avoid any potential conflict with
>    other namespaces by maintaining its own namespace hierarchy for those
>    objects.
> 
> 5. Community Considerations
> 
>    The objects and descriptions produced by the JAIF and necessary for
>    compliant implementation or system development are generally
>    available to its membership and to other organizations.  
> 
> 6. Security Considerations
> 
>    There are no security considerations other than those normally  
>    associated with the use and resolution of URNs in general.
> 
> 
>  
> 
> 
> Walther, Joerg               Informational                      [Page 5]
> 
> RFC xxxx              A URN Namespace for the JAIF    September 10, 2014
> 
> 
> 7. IANA Considerations
> 
>    IANA registers a new URN NID with the registration information
>    provided in Section 2. "jaif" strings are managed by the JAIF.  Thus,
>    creating a new urn within the "jaif" namespace does not require any
>    IANA action.
> 
> 8.  References
> 
> 8.1.  Normative References
> 
>    [RFC2141]  Moats, R., "URN Syntax", RFC 2141, May 1997.
> 
>    [RFC3406]  Daigle, L., van Gulik, D., Iannella, R., and P.
>               Faltstrom, "Uniform Resource Names (URN) Namespace 
>               Definition Mechanisms", BCP 66, RFC 3406, October 2002.
> 
> Author's Address
> 
>    Joerg WALTHER
>    Odette International Ltd.
>    71 Great Peter Street
>    London
>    SW1P 2BN
>    United Kingdom
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Walther, Joerg               Informational                      [Page 6]